import type { LanguageInput, ThemedToken, ThemeInput } from 'shiki'

export interface TokenType {
  content: string
  color?: string
  fontStyle?: string
}

export interface SyntaxHighlighterProps {
  text: string
  language: LanguageInput
  languageId: string
  theme: ThemeInput
  fontSize?: number
}

export interface TokensResult {
  tokens: ThemedToken[][]
}
