"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function SyntaxLine({
  line,
  fontSize
}) {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
    style: {
      flexDirection: 'row',
      flexWrap: 'wrap'
    },
    children: line.map((token, tokenIndex) => {
      // Preserve whitespace
      const content = token.content.replace(/ /g, '\u00A0');
      return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Text, {
        style: {
          color: token.color,
          fontFamily: 'monospace',
          fontSize,
          fontStyle: token.fontStyle
        },
        children: content
      }, `${content}-${tokenIndex}`);
    })
  });
}
var _default = exports.default = SyntaxLine;
//# sourceMappingURL=SyntaxLine.js.map